From 0e9a502b508338feb4d6d5587b071091f1748fd5 Mon Sep 17 00:00:00 2001
From: Sebastiii <sebastiii@team-mediaportal.com>
Date: Wed, 10 Aug 2016 11:36:13 +0200
Subject: [PATCH 4/4] Fork : TVS madVR

---
 MP-TVSeries/VideoHandler.cs | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

diff --git a/MP-TVSeries/VideoHandler.cs b/MP-TVSeries/VideoHandler.cs
index 5a144d7..b7cff4a 100644
--- a/MP-TVSeries/VideoHandler.cs
+++ b/MP-TVSeries/VideoHandler.cs
@@ -453,7 +453,7 @@ namespace WindowPlugins.GUITVSeries
                 // If the file is an image file, it should be mounted before playing
                 string filename = m_currentEpisode[DBEpisode.cFilename];
                 if (m_bIsImageFile) { 
-                    if (!GUIVideoFiles.MountImageFile(GUIWindowManager.ActiveWindow, filename, false)) {                        
+                    if (!GUIVideoFiles.MountImageFile(GUIWindowManager.ActiveWindow, filename, false)) {
                         return false;
                     }
                 }
@@ -476,9 +476,13 @@ namespace WindowPlugins.GUITVSeries
 
                 // Play File
                 result = g_Player.Play(filename, g_Player.MediaType.Video);
-                
-                // Stope Listening to any External Player Events
-				listenToExternalPlayerEvents = false;
+
+                // Needed for latest change (from madVR branch)
+                GUIGraphicsContext.IsFullScreenVideo = true;
+                GUIWindowManager.ActivateWindow((int)GUIWindow.Window.WINDOW_FULLSCREEN_VIDEO);
+
+                // Stope Listening to any External Player Events
+                listenToExternalPlayerEvents = false;
 
                 // tell player where to resume                
 				if (g_Player.Playing && timeMovieStopped > 0) {
-- 
2.9.2.windows.1

